Bug 493664 - tick interrupts in F11 Beta
tick interrupts in F11 Beta
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 10:56 EDT by Peter F. Patel-Schneider
Modified: 2010-06-28 07:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter F. Patel-Schneider 2009-04-02 10:56:13 EDT
Description of problem:

Under F11 Beta on a ThinkPad T60p tick events are the most common interrupt.

Version-Release number of selected component (if applicable):

F11 Beta updated as of 2 April 2009

How reproducible:

Always

Steps to Reproduce:
1. Load B11 Beta and update
2. Boot
3. Run powertop
  
Actual results:

Truncated powertop output from idle system on battery

Cn                Avg residency       P-states (frequencies)
C0 (cpu running)        ( 0.4%)         2.17 Ghz     0.4%
C0                0.0ms ( 0.0%)         1.67 Ghz     0.0%
C1 halt           0.0ms ( 0.0%)         1333 Mhz     0.0%
C2                0.1ms ( 0.0%)         1000 Mhz    99.6%
C3               48.9ms (99.6%)

Wakeups-from-idle per second : 20.9     interval: 20.0s
Power usage (ACPI estimate): 18.2W (2.6 hours) (long term: 19.0W,/2.5h)

Top causes for wakeups:
  47.0% ( 18.3)     <kernel core> : hrtimer_start_expires.clone.0 (tick_sched_timer) 
  12.8% (  5.0)       <interrupt> : ata_piix
  12.7% (  5.0)       <interrupt> : acpi
   7.8% (  3.0)      <kernel IPI> : Rescheduling interrupts
   5.5% (  2.1)     <kernel core> : hrtimer_start (tick_sched_timer)
   1.3% (  0.5)       <interrupt> : eth0
   1.3% (  0.5)   <kernel module> : __mod_timer (neigh_periodic_timer)
   1.3% (  0.5)               gpm : hrtimer_start_expires (hrtimer_wakeup)
   1.3% (  0.5)     <kernel core> : mod_timer (e1000_watchdog)
   1.3% (  0.5)   devkit-disks-da : hrtimer_start_expires (hrtimer_wakeup)
   0.9% (  0.3)    NetworkManager : hrtimer_start_expires (hrtimer_wakeup)
   0.6% (  0.2)     <kernel core> : __mod_timer (neigh_periodic_timer)
   0.6% (  0.2)   gdm-user-switch : hrtimer_start_expires (hrtimer_wakeup)
   0.6% (  0.2)       gnome-panel : hrtimer_start_expires (hrtimer_wakeup)
   0.6% (  0.2)       gvfsd-trash : hrtimer_start_expires (hrtimer_wakeup)
   0.6% (  0.2)   gnome-screensav : hrtimer_start_expires (hrtimer_wakeup)
   0.5% (  0.2)       <interrupt> : ahci
   0.5% (  0.2)          sendmail : hrtimer_start_expires (hrtimer_wakeup)
   0.3% (  0.1)   <kernel module> : __mod_timer (sta_info_cleanup)
   0.3% (  0.1)        kerneloops : hrtimer_start_expires (hrtimer_wakeup)
   0.3% (  0.1)   gnome-power-man : hrtimer_start_expires (hrtimer_wakeup)
   0.3% (  0.1)   devkit-power-da : hrtimer_start_expires (hrtimer_wakeup)
   0.3% (  0.1)              hald : hrtimer_start_expires (hrtimer_wakeup)
...

Expected results:

No tick interrupts

Additional info:
Comment 1 Domas Jokubauskis 2009-04-15 15:08:54 EDT
Same here on Dell D420:
[root@fedora-laptop tmp]# powertop -d
PowerTOP 1.11   (C) 2007, 2008 Intel Corporation 

Collecting data for 15 seconds 


Cn                Avg residency
C0 (cpu running)        ( 0.6%)
polling           0.0ms ( 0.0%)
C1 halt           0.0ms ( 0.0%)
C2                0.1ms ( 0.0%)
C3               19.1ms (99.4%)
P-states (frequencies)         
  1200 Mhz     0.1%            
   800 Mhz    99.9%            
Wakeups-from-idle per second : 52.8     interval: 15.0s
no ACPI power usage estimate available                 
Top causes for wakeups:                                
  37.3% ( 26.5)     <kernel core> : hrtimer_start_expires.clone.0 (tick_sched_timer) 
  18.4% ( 13.1)      <kernel IPI> : Rescheduling interrupts                          
  16.9% ( 12.0)       <interrupt> : iwlagn                                           
   5.1% (  3.7)     <kernel core> : hrtimer_start (tick_sched_timer)                 
   2.2% (  1.5)       <interrupt> : extra timer interrupt                            
   2.1% (  1.5)           firefox : futex_wait (hrtimer_wakeup)                      
   1.8% (  1.3)            plasma : hrtimer_start_expires (hrtimer_wakeup)           
   1.7% (  1.2)           konsole : hrtimer_start_expires (hrtimer_wakeup)           
   1.5% (  1.1)           krunner : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   1.4% (  1.0)    NetworkManager : __mod_timer (tg3_timer)                                                                                                  
   1.4% (  1.0)           klipper : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   1.4% (  1.0)          libvirtd : mod_timer (br_fdb_cleanup)                                                                                               
   1.4% (  1.0)              kwin : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.7% (  0.5)       <interrupt> : ata_piix                                                                                                                 
   0.7% (  0.5)       <interrupt> : i915@pci:0000:00:02.0                                                                                                    
   0.7% (  0.5)          libvirtd : mod_timer (br_hello_timer_expired)                                                                                       
   0.7% (  0.5)              phy0 : mod_timer (ieee80211_sta_timer)                                                                                          
   0.7% (  0.5)   <kernel module> : __mod_timer (neigh_periodic_timer)                                                                                       
   0.5% (  0.3)         gpg-agent : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.5% (  0.3)    NetworkManager : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.3% (  0.2)          sendmail : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.3% (  0.2)          kwalletd : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.3% (  0.2)             kded4 : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.3% (  0.2)     <kernel core> : __mod_timer (neigh_periodic_timer)                                                                                       
   0.2% (  0.1)              Xorg : queue_delayed_work (delayed_work_timer_fn)                                                                               
   0.2% (  0.1)        kerneloops : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.2% (  0.1)   <kernel module> : __mod_timer (sta_info_cleanup)                                                                                           
   0.2% (  0.1)             kmail : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.1% (  0.1)       <interrupt> : PS/2 keyboard/mouse/touchpad                                                                                             
   0.1% (  0.1)              Xorg : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.1% (  0.1)     <kernel core> : hrtimer_start_expires.clone.0 (sched_rt_period_timer)                                                                    
   0.1% (  0.1)           audispd : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.1% (  0.1)     <kernel core> : mod_timer (wb_timer_fn)                                                                                                  
   0.1% (  0.1)     <kernel core> : mod_timer (laptop_timer_fn)                                                                                              
   0.1% (  0.1)          gconfd-2 : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.1% (  0.1)         ssh-agent : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.1% (  0.1)     <kernel core> : mod_timer (blk_rq_timed_out_timer)                                                                                       
   0.1% (  0.1)         klauncher : hrtimer_start_expires (hrtimer_wakeup)                                                                                   
   0.1% (  0.1)     <kernel core> : __mod_timer (death_by_timeout)                                                                                           
   0.1% (  0.1)   gdm-simple-gree : __mod_timer (commit_timeout)                                                                                             

Recent USB suspend statistics
Active  Device name          
  0.0%  USB device 2-2.3.2 : O2Micro CCID SC Reader (O2)
  0.0%  /sys/bus/usb/devices/2-2.3                      
  0.0%  /sys/bus/usb/devices/2-2                        
  0.0%  USB device usb5 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb4 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb3 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb2 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb1 : EHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE ehci_hcd)
[root@fedora-laptop tmp]# uname -a                                                       
Linux fedora-laptop 2.6.29.1-70.fc11.i686.PAE #1 SMP Mon Apr 13 14:20:28 EDT 2009 i686 i686 i386 GNU/Linux
[root@fedora-laptop tmp]# lsmod                                                                           
Module                  Size  Used by                                                                     
cpufreq_stats           4316  0                                                                           
fuse                   49832  2                                                                           
ipt_MASQUERADE          2364  1                                                                           
iptable_nat             5152  1                                                                           
nf_nat                 14764  2 ipt_MASQUERADE,iptable_nat                                                
bridge                 41532  0                                                                           
stp                     1948  1 bridge                                                                    
llc                     4788  2 bridge,stp                                                                
bnep                   10916  2                                                                           
sco                     9368  2                                                                           
l2cap                  18936  3 bnep                                                                      
bluetooth              44752  5 bnep,sco,l2cap                                                            
sunrpc                152800  1                                                                           
ip6t_REJECT             3160  2                                                                           
nf_conntrack_ipv6      11372  2                                                                           
ip6table_filter         3132  1                                                                           
ip6_tables             10692  1 ip6table_filter                                                           
ipv6                  233584  32 ip6t_REJECT,nf_conntrack_ipv6                                            
cpufreq_ondemand        6060  2                                                                           
acpi_cpufreq            8052  0                                                                           
dm_multipath           13520  0                                                                           
kvm_intel              39864  0                                                                           
kvm                   127980  1 kvm_intel                                                                 
uinput                  6540  0                                                                           
arc4                    1580  2                                                                           
ecb                     2452  2                                                                           
snd_hda_codec_idt      50532  1                                                                           
sdhci_pci               6428  0                                                                           
snd_hda_intel          24164  3
sdhci                  14360  1 sdhci_pci
dell_laptop             3304  0
iTCO_wdt               10464  0
dcdbas                  6820  1 dell_laptop
iwlagn                127944  0
mmc_core               41528  1 sdhci
firewire_ohci          19572  0
snd_hda_codec          54284  2 snd_hda_codec_idt,snd_hda_intel
iTCO_vendor_support     2736  1 iTCO_wdt
i2c_i801                8060  0
yenta_socket           21400  1
firewire_core          36548  1 firewire_ohci
iwlcore               114996  1 iwlagn
pcspkr                  2156  0
rsrc_nonstatic          9784  1 yenta_socket
joydev                  8964  0
crc_itu_t               1580  1 firewire_core
snd_hwdep               6584  1 snd_hda_codec
rfkill                  8816  5 dell_laptop,iwlcore
snd_pcm                62672  2 snd_hda_intel,snd_hda_codec
lib80211                5064  1 iwlcore
snd_timer              17888  1 snd_pcm
mac80211              165008  2 iwlagn,iwlcore
snd                    49056  12 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
irda                   94704  0
soundcore               5404  1 snd
tg3                    91752  0
wmi                     5868  0
crc_ccitt               1588  1 irda
snd_page_alloc          7644  2 snd_hda_intel,snd_pcm
cfg80211               30732  3 iwlagn,iwlcore,mac80211
ata_generic             4264  0
pata_acpi               3620  0
i915                  140436  2
drm                   166212  2 i915
i2c_algo_bit            4804  1 i915
i2c_core               18016  4 i2c_i801,i915,drm,i2c_algo_bit
video                  17340  1 i915
output                  2324  1 video
Comment 2 Andrew Mason 2009-04-17 02:18:52 EDT
I am also experiencing this issue with a Lenovo X200 laptop
[root@portland am]# powertop -d                                                                                                                              
PowerTOP 1.11   (C) 2007, 2008 Intel Corporation                                                                                                             

Collecting data for 15 seconds 


Your CPU supports the following C-states : C1 C2 C3 C4 C5 C6 
Your BIOS reports the following C-states : C1 C2 C6          
                                                           
# powertop -d                              
PowerTOP 1.11   (C) 2007, 2008 Intel Corporation             

Collecting data for 15 seconds 


Your CPU supports the following C-states : C1 C2 C3 C4 C5 C6 
Your BIOS reports the following C-states : C1 C2 C6          
Cn                Avg residency                              
C0 (cpu running)        ( 0.3%)                              
C0                0.0ms ( 0.0%)                              
C1 mwait          0.0ms ( 0.0%)                              
C2 mwait          0.1ms ( 0.0%)                              
C6 mwait         52.6ms (99.7%)                              
P-states (frequencies)                                       
  2.27 Ghz     0.0%                                          
  2.27 Ghz     0.0%                                          
  1.60 Ghz     0.0%                                          
   800 Mhz   100.0%                                          
Wakeups-from-idle per second : 20.9     interval: 15.0s      
Power usage (ACPI estimate): 10.3W (7.8 hours)               
Top causes for wakeups:                                      
  44.3% ( 15.5)     <kernel core> : hrtimer_start_expires.clone.0 (tick_sched_timer) 
   9.2% (  3.2)      <kernel IPI> : Rescheduling interrupts                          
   8.6% (  3.0)       <interrupt> : extra timer interrupt                            
   6.3% (  2.2)     <kernel core> : hrtimer_start (tick_sched_timer)                 
   6.1% (  2.1)         konqueror : hrtimer_start_expires (hrtimer_wakeup)           
   3.8% (  1.3)            plasma : hrtimer_start_expires (hrtimer_wakeup)           
   3.1% (  1.1)              kwin : hrtimer_start_expires (hrtimer_wakeup)           
   2.9% (  1.0)           klipper : hrtimer_start_expires (hrtimer_wakeup)           
   1.5% (  0.5)       <interrupt> : ahci                                             
   1.5% (  0.5)       <interrupt> : eth0                                             
   1.5% (  0.5)     <kernel core> : mod_timer (e1000_watchdog)                       
   1.1% (  0.4)          knotify4 : futex_wait (hrtimer_wakeup)
   1.0% (  0.3)          kwalletd : hrtimer_start_expires (hrtimer_wakeup)
   1.0% (  0.3)         gpg-agent : hrtimer_start_expires (hrtimer_wakeup)
   1.0% (  0.3)    NetworkManager : hrtimer_start_expires (hrtimer_wakeup)
   0.8% (  0.3)   <kernel module> : __mod_timer (neigh_periodic_timer)
   0.8% (  0.3)        kerneloops : hrtimer_start_expires (hrtimer_wakeup)
   0.8% (  0.3)     <kernel core> : __mod_timer (neigh_periodic_timer)
   0.6% (  0.2)           konsole : hrtimer_start_expires (hrtimer_wakeup)
   0.6% (  0.2)             kded4 : hrtimer_start_expires (hrtimer_wakeup)
   0.6% (  0.2)          events/0 : mod_timer (dev_watchdog)
   0.4% (  0.1)       <interrupt> : i915
   0.4% (  0.1)              Xorg : queue_delayed_work (delayed_work_timer_fn)
   0.2% (  0.1)       <interrupt> : PS/2 keyboard/mouse/touchpad
   0.2% (  0.1)                 X : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)     <kernel core> : hrtimer_start_expires.clone.0 (sched_rt_period_timer)
   0.2% (  0.1)    kwalletmanager : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)     <kernel core> : mod_timer (laptop_timer_fn)
   0.2% (  0.1)          gconfd-2 : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)   <kernel module> : __mod_timer (sta_info_cleanup)
   0.2% (  0.1)         ssh-agent : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)             crond : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)         klauncher : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)     <kernel core> : mod_timer (wb_timer_fn)
   0.2% (  0.1)           audispd : hrtimer_start_expires (hrtimer_wakeup)
   0.2% (  0.1)             mount : __mod_timer (commit_timeout)

Recent USB suspend statistics
Active  Device name
  0.0%  USB device usb8 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb7 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb6 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb5 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb4 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb3 : UHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE uhci_hcd)
  0.0%  USB device usb2 : EHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE ehci_hcd)
  0.0%  USB device usb1 : EHCI Host Controller (Linux 2.6.29.1-70.fc11.i686.PAE ehci_hcd)


# lsmod                                    
Module                  Size  Used by                                                                                                                        
cpufreq_stats           4316  0                                                                                                                              
bridge                 41532  0                                                                                                                              
stp                     1948  1 bridge                                                                                                                       
llc                     4788  2 bridge,stp                                                                                                                   
bnep                   10916  2                                                                                                                              
sco                     9368  2                                                                                                                              
l2cap                  18936  3 bnep                                                                                                                         
bluetooth              44752  5 bnep,sco,l2cap                                                                                                               
sunrpc                152800  1                                                                                                                              
ip6t_REJECT             3160  2                                                                                                                              
nf_conntrack_ipv6      11372  2                                                                                                                              
ip6table_filter         3132  1                                                                                                                              
ip6_tables             10692  1 ip6table_filter                                                                                                              
ipv6                  233584  28 ip6t_REJECT,nf_conntrack_ipv6                                                                                               
cpufreq_ondemand        6060  2
acpi_cpufreq            8052  0
dm_multipath           13520  0
uinput                  6540  0
arc4                    1580  2
snd_hda_codec_conexant    24280  1
ecb                     2452  2
snd_hda_intel          24164  1
snd_hda_codec          54284  2 snd_hda_codec_conexant,snd_hda_intel
iwlagn                127944  0
thinkpad_acpi          53924  0
iwlcore               114996  1 iwlagn
snd_hwdep               6584  1 snd_hda_codec
hwmon                   2148  1 thinkpad_acpi
snd_pcm                62672  2 snd_hda_intel,snd_hda_codec
rfkill                  8816  3 thinkpad_acpi,iwlcore
snd_timer              17888  1 snd_pcm
snd                    49056  8 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
pcspkr                  2156  0
lib80211                5064  1 iwlcore
soundcore               5404  1 snd
mac80211              165008  2 iwlagn,iwlcore
i2c_i801                8060  0
iTCO_wdt               10464  0
iTCO_vendor_support     2736  1 iTCO_wdt
wmi                     5868  0
snd_page_alloc          7644  2 snd_hda_intel,snd_pcm
e1000e                101888  0
cfg80211               30732  3 iwlagn,iwlcore,mac80211
i915                  140436  2
drm                   166212  2 i915
i2c_algo_bit            4804  1 i915
i2c_core               18016  4 i2c_i801,i915,drm,i2c_algo_bit
video                  17340  1 i915
output                  2324  1 video
Comment 3 Bug Zapper 2009-06-09 09:07:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 exvitascientia 2009-11-24 02:06:06 EST
problem still in F12
Comment 5 Bug Zapper 2010-04-27 09:27:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:39:57 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.